List Closed Quote Responses
curl --request GET \
--url https://api.seminode.com/v1/quote/responses/closed \
--header 'Authorization: <api-key>'import requests
url = "https://api.seminode.com/v1/quote/responses/closed"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.seminode.com/v1/quote/responses/closed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"content": {
"company": "<string>",
"contact": "<string>",
"message": "<string>",
"meta": {},
"quote": {
"content": {
"attributes": {
"condition": "<string>",
"custom_attributes": {},
"date_code": "<string>",
"packaging": "<string>"
},
"company": "<string>",
"contact": "<string>",
"errors": {},
"lead_time": 123,
"lead_time_raw": "<string>",
"message": "<string>",
"meta": {},
"qty": 123,
"schema_version": "<string>",
"terms": {
"payment": {
"code": "<string>",
"currency": "<string>"
},
"shipping": {
"incoterm": "<string>",
"place": "<string>"
}
},
"timing": {
"expiry": 123,
"lead_time": "<string>",
"required_date": 123
},
"unit_price": 123
},
"created_at": "<string>",
"id": "<string>",
"kind": 123,
"public_key": "<string>",
"recipient_public_key": "<string>",
"reply_url": "<string>",
"root_id": "<string>",
"sig": "<string>",
"tags": [
[
"<string>"
]
],
"thread_id": "<string>",
"url": "<string>"
},
"reason": "<string>",
"status": "<string>"
},
"created_at": "<string>",
"id": "<string>",
"kind": 123,
"public_key": "<string>",
"recipient_public_key": "<string>",
"reply_url": "<string>",
"root_id": "<string>",
"sig": "<string>",
"tags": [
[
"<string>"
]
],
"thread_id": "<string>",
"url": "<string>"
}
]{
"error": "<string>"
}{
"error": "<string>"
}Quote Responses
List Closed Quote Responses
Lists quote responses closed for the caller’s company. Closed quote responses are those either rejected, or accepted by both parties.
GET
/
quote
/
responses
/
closed
List Closed Quote Responses
Authorizations
BearerAuthLoginAuth
Format: "Bearer <access_token>"
Query Parameters
If true, returns shared/global quote responses instead of user-specific
Only responses authored by the caller
Only responses received by the caller
Filter by accepted (true) or rejected (false)
Max number of results to return (default 100)
Only include events created after this timestamp (unix seconds)
Only include events created before this timestamp (unix seconds)
Was this page helpful?
⌘I

